/*
 * Copyright (C) 2007-2009 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file gui.h symbols used by gui and gui_theme */

struct stat_item_data {
	const char *prefix, *postfix;
	unsigned x, y, len;
	int fg, bg, align;
};

struct gui_theme {
	const char *name;
	const char *author;
	int sb_fg, sb_bg;
	int cmd_fg, cmd_bg;
	int output_fg, output_bg;
	int msg_fg, msg_bg;
	int err_msg_fg, err_msg_bg;
	int welcome_fg, welcome_bg;
	int sep_fg, sep_bg;
	const char *sep_str;
	int default_fg, default_bg;

	int top_lines_default, top_lines_min;
	int lines_min, cols_min;
	struct stat_item_data data[NUM_STAT_ITEMS];
};

void init_theme(int i, struct gui_theme *);
void next_theme(struct gui_theme *);
void prev_theme(struct gui_theme *);
#define LEFT 1
#define RIGHT 2
#define CENTER 3
